body {
    font-family: "JetBrains Mono";
    margin: 0;
    background-size: 200px;
    color: var(--mainTextcolor);
    background-image: var(--body-bg-image);
}

* {
    box-sizing: border-box;
    cursor: url(https://cur.cursors-4u.net/others/oth-8/oth711.cur), auto;
}

#container {
    max-width: 1100px;
    margin: 0 auto;
}

h1,
h2,
h3,
h4 {
    color: var(--headerColor);
}

main h1,
h2,
h3,
h4 {
    text-shadow: var(--borderMaincolor) 2px 2px 5px;
}

strong,
b {
    text-shadow: var(--borderMaincolor) 4px 4px 8px;
    color: var(--strongText);
}

#container a {
    color: var(--linkColor);
    font-weight: bold;
    cursor:
        url("https://ani.cursors-4u.net/nature/nat-11/nat1047.cur"), pointer;
    font-style: normal;
    text-decoration: none;
}

#container a:hover {
    color: var(--navbarLinkhover);
    font-weight: bold;
    font-style: italic;
    text-decoration: underline;
    text-shadow: var(--borderMaincolor) 4px 4px 8px;
}

a[target="_"]::after {
    content: url(/assets/general/icons/outlink2.png);
    filter: var(--outlinkColor);
    padding-left: 3px;
    vertical-align: top;
}

#header {
    width: 100%;
    height: 150px;
    background-size: 100%;
}

#navbar {
    height: 40px;
    background-color: var(--navbarBGcolor);
    width: 100%;
}

#navbar ul {
    display: flex;
    padding: 0;
    margin: 0;
    list-style-type: none;
    justify-content: space-evenly;
}

#navbar li {
    padding-top: 10px;
}

#navbar li a {
    color: var(--navbarLink);
    font-weight: bold;
    text-decoration: none;
    font-size: 18px;
}

#navbar li a:hover {
    color: var(--navbarLinkhover);
    text-decoration: underline;
}

#flex {
    display: flex;
}

main {
    flex: 1;
    padding: 20px;
    order: 2;
    font-size: 21px;
    border-radius: 4px;
    background-color: var(--mainBGcolor);
    border: 5px solid var(--borderMaincolor);
}

footer {
    width: 100%;
    height: 40px;
    padding: 10px;
    text-align: center;
}

h1 {
    font-size: 25px;
}

h2 {
    font-size: 20px;
}

h3: {
    font-size: 15px;
}

h4: {
    font-size: 10px;
}

::selection {
    background: var(--bgSelection);
    text-shadow: 2px 2px 5px black;
}

details {
    margin: 1rem auto;
}

details > *:not(summary) {
    margin: 1rem;
}

summary {
    padding: 0.5rem;
    transition: background-color 0.3s;
    font-weight: bold;
    color: var(--navbarLink);
}

summary:hover {
    cursor:
        url("https://ani.cursors-4u.net/nature/nat-11/nat1047.cur"), pointer;
    background-color: var(--borderMaincolor);
}
.summarytext span {
    padding: 10px;
}

hr.divider {
    border-top: 3px dotted var(--borderColor);
}

@media only screen and (max-width: 1000px) {
    #flex {
        flex-wrap: wrap;
    }

    aside {
        width: 100%;
    }

    main {
        order: 1;
    }

    #leftSidebar {
        order: 2;
    }

    #rightSidebar {
        order: 3;
    }

    #navbar ul {
        flex-wrap: wrap;
    }

    #textura,
    #header {
        display: none;
    }
}
